%global realname emmap
%global upstream krestenkrab
%global git_tag 05ae1bb
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}
%{expand: %(NIF_VER=`rpm -q erlang-erts --provides | grep --color=no erl_nif_version` ; if [ "$NIF_VER" != "" ]; then echo %%global __erlang_nif_version $NIF_VER ; fi)}
%{expand: %(DRV_VER=`rpm -q erlang-erts --provides | grep --color=no erl_drv_version` ; if [ "$DRV_VER" != "" ]; then echo %%global __erlang_drv_version $DRV_VER ; fi)}


Name:		erlang-%{realname}
Version:	0
Release:	0.11.git%{git_tag}%{?dist}
Summary:	Erlang mmap interface
Group:		Development/Languages
License:	ASL 2.0
URL:		https://github.com/krestenkrab/emmap
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/krestenkrab/emmap.git
%endif
# wget https://github.com/krestenkrab/emmap/archive/05ae1bb.tar.gz -O krestenkrab-emmap-05ae1bb.tar.gz
Source0:	%{upstream}-%{realname}-%{git_tag}.tar.gz
BuildRequires:	erlang-edown
BuildRequires:	erlang-rebar
BuildRequires:	erlang-rpm-macros >= 0.1.4
# Error:erlang(erlang:load_nif/2) in R12B and older
Requires:	erlang-erts%{?_isa} >= R13B
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}
%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
This Erlang library provides a wrapper that allows you to memory map files into
the Erlang memory space.


%prep
%setup -q -n %{realname}-05ae1bbc8b9b584473483023643fdc3f329a7698


%build
%rebar_compile


%install
mkdir -p %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/{ebin,priv}
install -p -m 0644 ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
install -p -m 0755 priv/%{realname}_nifs.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/


%check
%__rebar eunit skip_deps=true -v


%files
%doc LICENSE README.md doc/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin/
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%changelog
* Tue Nov 04 2014 Peter Lemenkov <lemenkov@gmail.com> - 0-0.11.git05ae1bb
- Rebuild with Erlang 17.3.3

* Thu Aug 28 2014 Peter Lemenkov <lemenkov@gmail.com> - 0-0.10.git05ae1bb
- Rebuild with Erlang 17.2.1

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.9.git05ae1bb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jul 12 2014 Ville Skyttä <ville.skytta@iki.fi> - 0-0.8.git05ae1bb
- Use new erlang macros to build with $RPM_OPT/LD_FLAGS etc, verbosely

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.git05ae1bb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Sep 01 2013 Peter Lemenkov <lemenkov@gmail.com> - 0-0.6.git05ae1bb
- Added missing build-dependency on erlang-edown

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git05ae1bb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 12 2013 Peter Lemenkov <lemenkov@gmail.com> - 0-0.4.git05ae1bb
- Drop no longer needed patch
- Add dependency on NIF API version

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.git05ae1bb
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.git05ae1bb
- Upstreamed patch, few fixes, and added emmap:read_line/1 function

* Tue Nov 13 2012 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.git8725d46
- Initial build
